<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class CaseComment extends Model {
    use SoftDeletes; protected $guarded=['id']; protected $casts=['is_resolution'=>'boolean'];
    public function user(){return $this->belongsTo(User::class);}
    public function case(){return $this->belongsTo(CrmCase::class,'case_id');}
}
